# Uses of Class
org.apache.sysds.runtime.ooc.memory.InMemoryQueueCallback

Packages that use InMemoryQueueCallback
Package
Description
org.apache.sysds.runtime.ooc.cache
org.apache.sysds.runtime.ooc.cache.legacy
org.apache.sysds.runtime.ooc.memory

## Uses of InMemoryQueueCallback in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache with parameters of type InMemoryQueueCallback
Modifier and Type
Method
Description
`static OOCCacheScheduler.HandoverHandle`
OOCCacheManager.`handover(BlockKey key, InMemoryQueueCallback callback)`

## Uses of InMemoryQueueCallback in org.apache.sysds.runtime.ooc.cache.legacy

Methods in org.apache.sysds.runtime.ooc.cache.legacy with parameters of type InMemoryQueueCallback
Modifier and Type
Method
Description
`OOCCacheScheduler.HandoverHandle`
OOCCacheScheduler.`handover(BlockKey key, InMemoryQueueCallback callback)`
`OOCCacheScheduler.HandoverHandle`
OOCLRUCacheScheduler.`handover(BlockKey key, InMemoryQueueCallback callback)`

## Uses of InMemoryQueueCallback in org.apache.sysds.runtime.ooc.memory

Methods in org.apache.sysds.runtime.ooc.memory with parameters of type InMemoryQueueCallback
Modifier and Type
Method
Description
`void`
CachedAllowance.`handover(InMemoryQueueCallback callback, int index)`